// (c) Femte Gear Internet Software 1998
//************************************************************
//
// The Pages demo !
//
// to run this demo you'll need  :
//  - a web server
// 
//  see setup.txt for information about setting up a local webserver for testing.
//
// About this demo :
//
//  This demo shows how to manage and surf between multiple pages in the app.
//  An important optimization is also demonstrated here : if your app includes
//  several forms, you can avoid creating the ones you dont use by creating them 
//  manually when you need them. The first form ( the one containing the TPxCGI 
//  component ) must always be created. 
//  By only creating the needed forms you can speed up the response time of your app.
unit maincode;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  PxPanel, PxCustomText, PxText, PxCGI, PxComponent, PxVisibleComponent,
  PxContainer, PxPage, HttpEng, GenEng, PxOptimizer, PxCGIExpertOptimizer;

type
  TForm1 = class(TForm)
    PxPage1: TPxPage;
    PxText1: TPxText;
    PxPanel1: TPxPanel;
    PxText2: TPxText;
    PxText3: TPxText;
    engine: TGeneralHttpEngine;
    optimizer: TPxCGIExpertOptimizer;
    procedure engineExecRequest(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation
uses secondpage;
{$R *.DFM}

procedure TForm1.engineExecRequest(Sender: TObject);
var
   i : integer;
begin
     i:=strtoint(Engine.Formvar('index','1'));
     if i=2 then
     // uh oh, now we need to create form2, because the second page is placed
     // there
     begin
        Application.CreateForm(TForm2, Form2);
        Engine.Put(Form2.PxPage1.put(optimizer));
     end
     else
        Engine.Put(Form1.PxPage1.put(optimizer));

end;

end.
